Bug 70874 - X doesn't autostart
X doesn't autostart
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-08-06 08:48 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-19 11:52:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-06 08:48:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Brand new installation of 7.3 on an HP Pavilion 502n (integrated 82810E 
graphics interface) using a Dell 1110 monitor. Was careful to select graphical 
startup during installation. Install properly detected the equipment and did 
the right configuration. However, system always starts in text mode with a 
login prompt. I have to start X (startx) after logging in (and it works fine, 
once I've done that). Have checked inittab for the "id:5..." and that is 
correct. Reported to tech support, and "Erik" asked that I submit this bug 
report. He had me try to put "telinit 5" in rc.local as a workaround, but that 
didn't help.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot the system.

Actual Results:  Get text login.

Expected Results:  Expect graphical login and X windows.

Additional info:
Comment 1 Michael Fulbright 2002-08-12 16:45:23 EDT
Reassigning to SysVinit package.
Comment 2 Bill Nottingham 2002-08-12 17:15:02 EDT
What does your X configuration look like?
Comment 3 Mike A. Harris 2002-08-14 21:44:35 EDT
Please provide your X config file, X server log, and the output
of the following commands:

lspci -vvn
lspci -vv
uname -a
Comment 4 Need Real Name 2002-08-19 11:52:45 EDT
I just went through a reinstallation from scratch. This time, I did one thing 
different, and that seems to have corrected the problem. I had previously, 
during the installation, always selected "configure using DHCP" and "activate 
on boot." This time, I unselected "configure using DHCP" and instead specified 
(only) the gateway and DNS selections. I did specify a hostname of my own 

Upon rebooting after this installation, the system went into graphical mode for 
logins. This was a change. The network connection didn't work, and I had to go 
in and enable DHCP and specify my chosen hostname for eth0, and that repaired 
the network connection.

Is it possible that if the installation had allowed me to specify a chosen 
hostname and have DHCP enabled, that things would have been OK all along? This 
was not an option I had, of course.
Comment 5 Mike A. Harris 2002-08-20 03:10:51 EDT
There is nothing that I can really suggest or comment on at all
in this bug report, as it is significantly lacking any contextual
information with which to form theories of what the problem may
have been.

I've asked above for various data which could be used to potentially
theorize problem scenarios, and possibly make suggestions.  Without
such information, this bug report is not really useful in troubleshooting
the problem.

I'm closing the report WORKSFORME, since there isn't anything I can
do without more information, and both types of installations work
fine for me.

If you supply the requested information, and are interested in helping
troubleshoot the problem, please reopen the report at that time.

Note You need to log in before you can comment on or make changes to this bug.